
package com.reactlibrary;

import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.PackageManager;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.Callback;

public class RNRnAppRestarterModule extends ReactContextBaseJavaModule {

  private final ReactApplicationContext reactContext;

  public RNRnAppRestarterModule(ReactApplicationContext reactContext) {
    super(reactContext);
    this.reactContext = reactContext;
  }

  @Override
  public String getName() {
    return "RNRnAppRestarter";
  }

  @ReactMethod
  public void restartApp(String packageName){
    PackageManager packageManager = this.reactContext.getPackageManager();
    Intent intent = packageManager.getLaunchIntentForPackage(packageName);
    ComponentName componentName = null;
    if (intent != null) {
      componentName = intent.getComponent();
    }
    Intent mainIntent = Intent.makeRestartActivityTask(componentName);
    this.reactContext.startActivity(mainIntent);
    Runtime.getRuntime().exit(0);
  }
}